This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 112938 - Severe memory leak in old IBMJava2 on ES 2.1
Severe memory leak in old IBMJava2 on ES 2.1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: IBMJava2-JRE (Show other bugs)
2.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: John Flanagan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-06 07:39 EST by Matthew Booth
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-06 15:36:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2004-01-06 07:39:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4)
Gecko/20030701 Epiphany/1.0

Description of problem:
While IBMJava2-[JS]DK have been updated on RHN to 1.3.1-8 on AS 2.1,
they haven't been updated on ES 2.1, they are still 1.3.1-5.

This is a serious problem as a memory leak in -5 will cause WAF(/CCM)
to run out of memory in a couple of days.

Version-Release number of selected component (if applicable):
IBMJava2-SDK-1.3.1-5 IBMJava2-JRE-1.3.1-5

How reproducible:
Always

Steps to Reproduce:
1. Run "up2date IBMJava2-SDK" on a RHEL ES 2.1 box

Actual Results:  It gets IBMJava2-SDK-1.3.1-5

Expected Results:  It should get IBMJava2-SDK-1.3.1-8 instead.

Additional info:
Comment 1 Jay Turner 2004-01-06 08:19:36 EST
Indeed, this appears to be a case of something not making it into the
right place in RHN.  The correct versions of the packages are present
in the composed U3 trees.  Changing ownership to John Flanagan, as
he's the release engineer that handles RHEL2.1.
Comment 2 Mark J. Cox (Product Security) 2004-01-06 15:36:42 EST
The updates were included in U3 but the RHBA-2003-248 was missing the WS
and ES packages.  Now fixed and reissued:
http://rhn.redhat.com/errata/RHBA-2003-248.html

Note You need to log in before you can comment on or make changes to this bug.